var v_captcha = '';

var onLoad = function() {
    v_captcha_ingreso = grecaptcha.render('div_captcha_ingreso', {
        'sitekey': v_captcha,
        'callback': recuperar_credencial,
    });
};

// verifica captcha
function analizar_captcha_recuperar() {

    var v_captcha = grecaptcha.getResponse(v_captcha_ingreso);
    if (v_captcha.length == 0) {
        grecaptcha.execute(v_captcha_ingreso);

    }
}

$(document).ready(function(){	
	
	v_captcha = $('#txt_captcha').val();

	$("#txt_usuario").focus();
	
	$("#frm_login").validate({
		rules: {
			txt_usuario: { 
				required   : true
			}
		},
		messages: {
			txt_usuario: { 
				required   : 'Ingrese su nombre de usuario'
			}			
		},
		submitHandler: function(form){

			analizar_captcha_recuperar();
			//recuperar_credencial();
			
		},
		highlight: function(element) {
			$(element).closest('div').addClass('has-error');
		},
		unhighlight: function(element) {
			$(element).closest('div').removeClass('has-error');
		},
		errorElement: 'span',
		errorClass: 'help-block'
	});


});

function recuperar_credencial() {
	
	$.ajax({
		type: 'post',
		url: '/login/cuentaRecuperar-ajax.php',
		dataType: 'json',
		beforeSend: function(){
			mostrar_blockUI();
		},
		//: false,
		data: $("#frm_login").serialize(),
		success: function(msg){
			
			$( '#md_modal_mensaje_titulo' ).html( 'Recuperar Contraseña' );
			$( '#md_modal_mensaje_div_contenido' ).html( msg.mensaje );

			if(msg.success) {
				$( '#md_modal_mensaje' ).modal({
					backdrop: 'static',
					keyboard: false
				})
				$('#md_modal_mensaje_cerrar').unbind()
				$('#md_modal_mensaje_cerrar').click(cerrar_sesion);
				
			} else {
				$( '#md_modal_mensaje' ).modal('show');
			} 
		},
		error: function(msg) {
			// Error en la llamada al archivo de autenticación
			alert('Error');
		}, 
		complete: function() {
			grecaptcha.reset();
			ocultar_blockUI();			
		}
	});
		
}
